Test.Tasty.Runners

# Working with the test tree

data TestTree

foldTestTree

data TreeFold b

trivialFold

data ResourceSpec a

data Traversal f

data Ap f a

# Ingredients

data Ingredient

type Time

tryIngredients

ingredientOptions

ingredientsOptions

# Standard console ingredients

## Console test reporter

consoleTestReporter

## Tests list

listingTests

data ListTests

testsNames

# Command line handling

optionParser

suiteOptionParser

defaultMainWithIngredients

# Running tests

data Status

data Result

data Outcome

data FailureReason

resultSuccessful

data Progress

type StatusMap

launchTestTree

data NumThreads

# Options

suiteOptions

coreOptions

## Patterns

data TestPattern

parseTestPattern

noPattern

testPatternMatches

# Utilities

formatMessage